/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 *
 * @author Administrador
 */
@Entity
@Table(name = "MARCA_CLASESERVICIO")
public class MarcaClaseServicio implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected MarcaClaseServicioPK marcaClaseservicioPK;
    @Column(name = "ACTIVO")
    private Boolean activo;
    @Column(name = "FECMODIF")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecmodif;
    @Column(name = "USUARIO_ID")
    private Integer usuarioId;

    public MarcaClaseServicio() {
    }

    public MarcaClaseServicioPK getMarcaClaseservicioPK() {
        return marcaClaseservicioPK;
    }

    public void setMarcaClaseservicioPK(MarcaClaseServicioPK marcaClaseservicioPK) {
        this.marcaClaseservicioPK = marcaClaseservicioPK;
    }

    public Boolean getActivo() {
        return activo;
    }

    public void setActivo(Boolean activo) {
        this.activo = activo;
    }

    public Date getFecmodif() {
        return fecmodif;
    }

    public void setFecmodif(Date fecmodif) {
        this.fecmodif = fecmodif;
    }

    public Integer getUsuarioId() {
        return usuarioId;
    }

    public void setUsuarioId(Integer usuarioId) {
        this.usuarioId = usuarioId;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (marcaClaseservicioPK != null ? marcaClaseservicioPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof MarcaClaseServicio)) {
            return false;
        }
        MarcaClaseServicio other = (MarcaClaseServicio) object;
        if ((this.marcaClaseservicioPK == null && other.marcaClaseservicioPK != null) || (this.marcaClaseservicioPK != null && !this.marcaClaseservicioPK.equals(other.marcaClaseservicioPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.rjconsultores.ventaboletos.entidad.MarcaClaseservicio[marcaClaseservicioPK=" + marcaClaseservicioPK + "]";
    }
}
